Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts
Class Globals

    java.lang.Object
      |
      +--org.apache.struts.Globals

All Implemented Interfaces:
  java.io.Serializable

public class Globals
extends java.lang.Object
implements java.io.Serializable

Global manifest constants for the entire Struts Framework.

Many of these constants were initially defined in `Action`, but were moved here so that they could be referenced without referencing the `Action` class itself. For backwards compatibility, constant references there point at this class, and the constant values themselves have not changed.

Version:
  $Revision: 1.1 $ $Date: 2003/08/22 08:14:17 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ACTION_SERVLET_KEY` The context attributes key under which our `ActionServlet` instance will be stored.
`static java.lang.String` | `APPLICATION_KEY` Deprecated. Use MODULE_KEY
`static java.lang.String` | `CANCEL_KEY` The request attributes key under which a boolean `true` value should be stored if this request was cancelled.
`static java.lang.String` | `DATA_SOURCE_KEY` The context attributes key under which our default configured data source (which must implement `javax.sql.DataSource`) is stored, if one is configured for this module.
`static java.lang.String` | `ERROR_KEY` The request attributes key under which your action should store an `org.apache.struts.action.ActionErrors` object, if you are using the corresponding custom tag library elements.
`static java.lang.String` | `EXCEPTION_KEY` The request attributes key under which Struts custom tags might store a `Throwable` that caused them to report a JspException at runtime.
`static java.lang.String` | `FORM_BEANS_KEY` Deprecated. Replaced by collection in ModuleConfig
`static java.lang.String` | `FORWARDS_KEY` Deprecated. Replaced by collection in ModuleConfig.
`static java.lang.String` | `LOCALE_KEY` The session attributes key under which the user's selected `java.util.Locale` is stored, if any.
`static java.lang.String` | `MAPPING_KEY` The request attributes key under which our `org.apache.struts.ActionMapping` instance is passed.
`static java.lang.String` | `MAPPINGS_KEY` Deprecated. Replaced by collection in ModuleConfig
`static java.lang.String` | `MESSAGE_KEY` The request attributes key under which your action should store an `org.apache.struts.action.ActionMessages` object, if you are using the corresponding custom tag library elements.
`static java.lang.String` | `MESSAGES_KEY` The base of the context attributes key under which our module `MessageResources` will be stored.
`static java.lang.String` | `MODULE_KEY` The base of the context attributes key under which our `ModuleConfig` data structure will be stored.
`static java.lang.String` | `MULTIPART_KEY` The request attributes key under which our multipart class is stored.
`static java.lang.String` | `PLUG_INS_KEY` The base of the context attributes key under which an array of `PlugIn` instances will be stored.
`static java.lang.String` | `REQUEST_PROCESSOR_KEY` The base of the context attributes key under which our `RequestProcessor` instance will be stored.
`static java.lang.String` | `SERVLET_KEY` The context attributes key under which we store the mapping defined for our controller serlet, which will be either a path-mapped pattern (`/action/*`) or an extension mapped pattern (`*.do`).
`static java.lang.String` | `TRANSACTION_TOKEN_KEY` The session attributes key under which our transaction token is stored, if it is used.
`static java.lang.String` | `XHTML_KEY` The page attributes key under which xhtml status is stored.

Constructor Summary
`Globals()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_SERVLET_KEY

    public static final java.lang.String ACTION_SERVLET_KEY

  The context attributes key under which our `ActionServlet` instance will be stored.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### APPLICATION_KEY

    public static final java.lang.String APPLICATION_KEY

  Deprecated. Use MODULE_KEY

  The base of the context attributes key under which our `ModuleConfig` data structure will be stored. This will be suffixed with the actual module prefix (including the leading "/" character) to form the actual attributes key.

  For each request processed by the controller servlet, the `ModuleConfig` object for the module selected by the request URI currently being processed will also be exposed under this key as a request attribute.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### CANCEL_KEY

    public static final java.lang.String CANCEL_KEY

  The request attributes key under which a boolean `true` value should be stored if this request was cancelled.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### MODULE_KEY

    public static final java.lang.String MODULE_KEY

  The base of the context attributes key under which our `ModuleConfig` data structure will be stored. This will be suffixed with the actual module prefix (including the leading "/" character) to form the actual attributes key.

  For each request processed by the controller servlet, the `ModuleConfig` object for the module selected by the request URI currently being processed will also be exposed under this key as a request attribute.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### DATA_SOURCE_KEY

    public static final java.lang.String DATA_SOURCE_KEY

  The context attributes key under which our default configured data source (which must implement `javax.sql.DataSource`) is stored, if one is configured for this module.

  See Also:
    Constant Field Values

### ERROR_KEY

    public static final java.lang.String ERROR_KEY

  The request attributes key under which your action should store an `org.apache.struts.action.ActionErrors` object, if you are using the corresponding custom tag library elements.

  See Also:
    Constant Field Values

### EXCEPTION_KEY

    public static final java.lang.String EXCEPTION_KEY

  The request attributes key under which Struts custom tags might store a `Throwable` that caused them to report a JspException at runtime. This value can be used on an error page to provide more detailed information about what really went wrong.

  See Also:
    Constant Field Values

### FORM_BEANS_KEY

    public static final java.lang.String FORM_BEANS_KEY

  Deprecated. Replaced by collection in ModuleConfig

  The context attributes key under which our `org.apache.struts.action.ActionFormBeans` collection is normally stored, unless overridden when initializing our ActionServlet.

  See Also:
    Constant Field Values

### FORWARDS_KEY

    public static final java.lang.String FORWARDS_KEY

  Deprecated. Replaced by collection in ModuleConfig.

  The context attributes key under which our `org.apache.struts.action.ActionForwards` collection is normally stored, unless overridden when initializing our ActionServlet.

  See Also:
    Constant Field Values

### LOCALE_KEY

    public static final java.lang.String LOCALE_KEY

  The session attributes key under which the user's selected `java.util.Locale` is stored, if any. If no such attribute is found, the system default locale will be used when retrieving internationalized messages. If used, this attribute is typically set during user login processing.

  See Also:
    Constant Field Values

### MAPPING_KEY

    public static final java.lang.String MAPPING_KEY

  The request attributes key under which our `org.apache.struts.ActionMapping` instance is passed.

  See Also:
    Constant Field Values

### MAPPINGS_KEY

    public static final java.lang.String MAPPINGS_KEY

  Deprecated. Replaced by collection in ModuleConfig

  The context attributes key under which our `org.apache.struts.action.ActionMappings` collection is normally stored, unless overridden when initializing our ActionServlet.

  See Also:
    Constant Field Values

### MESSAGE_KEY

    public static final java.lang.String MESSAGE_KEY

  The request attributes key under which your action should store an `org.apache.struts.action.ActionMessages` object, if you are using the corresponding custom tag library elements.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### MESSAGES_KEY

    public static final java.lang.String MESSAGES_KEY

  The base of the context attributes key under which our module `MessageResources` will be stored. This will be suffixed with the actual module prefix (including the leading "/" character) to form the actual resources key.

  For each request processed by the controller servlet, the `MessageResources` object for the module selected by the request URI currently being processed will also be exposed under this key as a request attribute.

  See Also:
    Constant Field Values

### MULTIPART_KEY

    public static final java.lang.String MULTIPART_KEY

  The request attributes key under which our multipart class is stored.

  See Also:
    Constant Field Values

### PLUG_INS_KEY

    public static final java.lang.String PLUG_INS_KEY

  The base of the context attributes key under which an array of `PlugIn` instances will be stored. This will be suffixed with the actual module prefix (including the leading "/" character) to form the actual attributes key.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### REQUEST_PROCESSOR_KEY

    public static final java.lang.String REQUEST_PROCESSOR_KEY

  The base of the context attributes key under which our `RequestProcessor` instance will be stored. This will be suffixed with the actual module prefix (including the leading "/" character) to form the actual attributes key.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### SERVLET_KEY

    public static final java.lang.String SERVLET_KEY

  The context attributes key under which we store the mapping defined for our controller serlet, which will be either a path-mapped pattern (`/action/*`) or an extension mapped pattern (`*.do`).

  See Also:
    Constant Field Values

### TRANSACTION_TOKEN_KEY

    public static final java.lang.String TRANSACTION_TOKEN_KEY

  The session attributes key under which our transaction token is stored, if it is used.

  See Also:
    Constant Field Values

### XHTML_KEY

    public static final java.lang.String XHTML_KEY

  The page attributes key under which xhtml status is stored. This may be "true" or "false". When set to true, the html tags output xhtml.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

Constructor Detail

### Globals

    public Globals()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation